Skip to content
Snippets Groups Projects
Commit 396c8386 authored by Greg DiCristofaro's avatar Greg DiCristofaro
Browse files

fixes for depth 1

parent 0dbd62db
No related branches found
No related tags found
No related merge requests found
...@@ -76,7 +76,7 @@ The Sleuth Kit must be installed before trying to install Autopsy. If you are o ...@@ -76,7 +76,7 @@ The Sleuth Kit must be installed before trying to install Autopsy. If you are o
- Please ensure you have all the prerequisites installed on your system (see the directions [here](#installing-prerequisites)). - Please ensure you have all the prerequisites installed on your system (see the directions [here](#installing-prerequisites)).
- If you don't have a copy of the repository on your local machine, clone it (this requires git): - If you don't have a copy of the repository on your local machine, clone it (this requires git):
``` ```
git clone https://github.com/sleuthkit/sleuthkit.git git clone --depth 1 https://github.com/sleuthkit/sleuthkit.git
``` ```
- If you want to build source from a particular branch or tag (i.e. `develop` or `release-4.11.0`), check out that branch: - If you want to build source from a particular branch or tag (i.e. `develop` or `release-4.11.0`), check out that branch:
``` ```
...@@ -97,7 +97,7 @@ The Sleuth Kit must be installed before trying to install Autopsy. If you are o ...@@ -97,7 +97,7 @@ The Sleuth Kit must be installed before trying to install Autopsy. If you are o
*In most instances, you should download the Autopsy Zip file from the [Autopsy downloads section](https://www.autopsy.com/download/) or in the [Releases section on GitHub](https://github.com/sleuthkit/autopsy/releases/), but if you have a special use case you can do the following. Please make sure you have the [prerequisites installed](#installing-prerequisites) and have [installed The Sleuth Kit](#install-sleuthkit).* *In most instances, you should download the Autopsy Zip file from the [Autopsy downloads section](https://www.autopsy.com/download/) or in the [Releases section on GitHub](https://github.com/sleuthkit/autopsy/releases/), but if you have a special use case you can do the following. Please make sure you have the [prerequisites installed](#installing-prerequisites) and have [installed The Sleuth Kit](#install-sleuthkit).*
- If you haven't already, clone the repo: - If you haven't already, clone the repo:
``` ```
git clone https://github.com/sleuthkit/autopsy.git git clone --depth 1 https://github.com/sleuthkit/autopsy.git
``` ```
- With the autopsy repo as your working directory, you can run: - With the autopsy repo as your working directory, you can run:
``` ```
......
...@@ -4,11 +4,12 @@ ...@@ -4,11 +4,12 @@
# called like: build_tsk.sh -r <repo path to be created or existing> -b <tsk branch to checkout> -r <non-standard remote repo (optional)> # called like: build_tsk.sh -r <repo path to be created or existing> -b <tsk branch to checkout> -r <non-standard remote repo (optional)>
usage() { usage() {
echo "Usage: install_tsk_from_src [-p repo_path] [-b tsk_branch] [-r sleuthkit_repo]" 1>&2 echo "Usage: install_tsk_from_src [-p repo_path (should end with '/sleuthkit')] [-b tsk_branch] [-r sleuthkit_repo]" 1>&2
} }
# default repo path # default repo path
REPO="https://github.com/sleuthkit/sleuthkit.git" REPO="https://github.com/sleuthkit/sleuthkit.git"
TSK_BRANCH="develop"
while getopts "p:r:b:" o; do while getopts "p:r:b:" o; do
case "${o}" in case "${o}" in
...@@ -28,7 +29,7 @@ while getopts "p:r:b:" o; do ...@@ -28,7 +29,7 @@ while getopts "p:r:b:" o; do
esac esac
done done
if [[ -z "${SLEUTHKIT_SRC_DIR}" ]] || [[ -z "${TSK_BRANCH}" ]]; then if [[ -z "${SLEUTHKIT_SRC_DIR}" ]]; then
usage usage
exit 1 exit 1
fi fi
...@@ -38,23 +39,25 @@ if [[ ! -d $SLEUTHKIT_SRC_DIR ]]; then ...@@ -38,23 +39,25 @@ if [[ ! -d $SLEUTHKIT_SRC_DIR ]]; then
echo "Cloning Sleuthkit to $TSK_REPO_PATH..." echo "Cloning Sleuthkit to $TSK_REPO_PATH..."
mkdir -p $TSK_REPO_PATH && mkdir -p $TSK_REPO_PATH &&
pushd $TSK_REPO_PATH && pushd $TSK_REPO_PATH &&
git clone $REPO && git clone --depth 1 -b $TSK_BRANCH $REPO &&
popd popd
if [[ ! -d $SLEUTHKIT_SRC_DIR ]]; then if [[ ! -d $SLEUTHKIT_SRC_DIR ]]; then
echo "Unable to successfully clone Sleuthkit" >>/dev/stderr echo "Unable to successfully clone Sleuthkit" >>/dev/stderr
exit 1 exit 1
fi fi
fi else
echo "Getting latest of Sleuthkit branch: $TSK_BRANCH..."
echo "Getting latest of Sleuthkit branch: $TSK_BRANCH..." pushd $SLEUTHKIT_SRC_DIR &&
pushd $SLEUTHKIT_SRC_DIR && git remote set-branches origin '*' &&
git reset --hard && git fetch -v &&
git checkout $TSK_BRANCH && git reset --hard &&
git pull && git checkout $TSK_BRANCH &&
popd git pull &&
if [[ $? -ne 0 ]]; then popd
echo "Unable to reset Sleuthkit repo and pull latest on $TSK_BRANCH" >>/dev/stderr if [[ $? -ne 0 ]]; then
exit 1 echo "Unable to reset Sleuthkit repo and pull latest on $TSK_BRANCH" >>/dev/stderr
exit 1
fi
fi fi
echo "Installing Sleuthkit..." echo "Installing Sleuthkit..."
......
0% Loading or .
You are about to add 0 people to the discussion. Proceed with caution.
Please register or to comment